"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isEmptyObjectOrArray = exports.PropTypes = exports.css = undefined;

var _ramda = require("ramda");

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var css = exports.css = require("js-util/lib/react-css").default;
var PropTypes = exports.PropTypes = require("react-schema").PropTypes;

var isEmptyObjectOrArray = exports.isEmptyObjectOrArray = function isEmptyObjectOrArray(value) {
    if (_ramda2.default.is(Object, value)) {
        return _ramda2.default.keys(value).length === 0;
    }
    if (_ramda2.default.is(Array, value)) {
        return value.length === 0;
    }
    return false;
};