"use strict";

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Text = require("../components/Text");

var _Text2 = _interopRequireDefault(_Text);

var _sections = require("./sections");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe("Text", function () {
  var _this = this;

  this.header("## Text display with commonly used style properties.");
  before(function () {
    _this.align("top left").load(_react2.default.createElement(
      _Text2.default,
      { color: "red" },
      "My Text"
    ));
  });

  _sections.inlineSection.call(this);
  _sections.italicSection.call(this);
  _sections.sizeSection.call(this);

  section("color", function () {
    Object.keys(_Text.COLORS).forEach(function (color) {
      it("`" + color + "`", function () {
        return _this.props({ color: color });
      });
    });
  });
});